# VLESS - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# VLESS

### Structure

    {
      "type": "vless",
      "tag": "vless-in",

      ... // Listen Fields

      "users": [
        {
          "name": "sekai",
          "uuid": "bf000d23-0752-40b4-affe-68f7707a9661",
          "flow": ""
        }
      ],
      "tls": {},
      "multiplex": {},
      "transport": {}
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### users

Required

VLESS users.

#### users.uuid

Required

VLESS user id.

#### users.flow

VLESS Sub-protocol.

Available values:

- `xtls-rprx-vision`

#### tls

TLS configuration, see TLS.

#### multiplex

See Multiplex for details.

#### transport

V2Ray Transport configuration, see V2Ray Transport.